summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-04-26 01:42:46 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-04-26 01:43:11 -0400
commit44281eb5cd90586289f6ac71c502e12ed9b901e6 (patch)
tree0d19a4c832f7e97db57a8fbb9e6ebf0f40b843dd /games-server
parentdev-games/cegui: version bump (diff)
downloadgentoo-44281eb5cd90586289f6ac71c502e12ed9b901e6.tar.gz
gentoo-44281eb5cd90586289f6ac71c502e12ed9b901e6.tar.bz2
gentoo-44281eb5cd90586289f6ac71c502e12ed9b901e6.zip
games-server/mednafen-server: initial commit - ebuild based on the one from Scall via bug #552178
Package-Manager: portage-2.2.26
Diffstat (limited to 'games-server')
-rw-r--r--games-server/mednafen-server/Manifest1
-rw-r--r--games-server/mednafen-server/mednafen-server-0.5.2.ebuild37
-rw-r--r--games-server/mednafen-server/metadata.xml8
3 files changed, 46 insertions, 0 deletions
diff --git a/games-server/mednafen-server/Manifest b/games-server/mednafen-server/Manifest
new file mode 100644
index 00000000000..e87d1eff4fc
--- /dev/null
+++ b/games-server/mednafen-server/Manifest
@@ -0,0 +1 @@
+DIST mednafen-server-0.5.2.tar.gz 149237 SHA256 4933e87e7072efa2ffa965dcc790080984523e83f49eeb49e20fadcca1a1ca19 SHA512 7ca094c7123e147bfaaedc254958fa664b7d71b141f8409b251bb646e04a7a6a5bc7f01ecac049b3895334a09a02e7449ac90e6db1d469322dba44f7281edf15 WHIRLPOOL 000c06f0c51af8d2bf5284523107ad51d754a99db7256d10dcdd037642c0c553ad6119fdaf56f68469a11c44cb43dc62e7ca07b11f3fcd4ec85a6eb443fb8c5e
diff --git a/games-server/mednafen-server/mednafen-server-0.5.2.ebuild b/games-server/mednafen-server/mednafen-server-0.5.2.ebuild
new file mode 100644
index 00000000000..806ad93e288
--- /dev/null
+++ b/games-server/mednafen-server/mednafen-server-0.5.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit games
+
+DESCRIPTION="Server for Mednafen emulator"
+HOMEPAGE="http://mednafen.fobby.net/releases/"
+SRC_URI="http://mednafen.fobby.net/releases/files/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ mv standard.conf standard.conf.example || die
+ mv run.sh run.sh.example || die
+}
+
+src_install() {
+ dogamesbin src/${PN}
+ dodoc README *.example
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_postinst
+ einfo "Example config file and run file can be found in"
+ einfo "/usr/share/doc/${PF}/"
+}
diff --git a/games-server/mednafen-server/metadata.xml b/games-server/mednafen-server/metadata.xml
new file mode 100644
index 00000000000..26079e608be
--- /dev/null
+++ b/games-server/mednafen-server/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+</pkgmetadata>